import * as mc from "@minecraft/server";
import * as utils from "./utils/index";
import "./systems/index";
import "./events/index";
/**
 * @remarks This is a dummy function that runs once on reload.
 */
async function main() {
    utils.Command.enabled = false;
    utils.GlobalNamespace.Ignore = true;
    utils.setVersionNumber("v1.1.0", { major: true, minor: false, patch: false });
    await utils.waitForWorldLoad();
    utils.mclog(`Loaded Craftee Custom Hearts DX [${utils.getVersionNumber()}]`);
    utils.runCommand('function admin/set_rules');
    utils.buildOnFirstLoad({ name: "spawn_cell", cellCount: { x: 2, y: 2, z: 1 }, playerSpawnOffset: { x: 7, y: 13, z: 5 }, floorOffset: 2 }, { name: "spawn_cell_alt", cellCount: { x: 2, y: 2, z: 1 }, playerSpawnOffset: { x: 17, y: 15, z: 6 }, floorOffset: 2 });
}
// Runs main on the next tick.
mc.system.run(main);
